## org.eclipse.emf.importer.rose.parser
Class RoseToken

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseToken

    public class RoseToken

extends java.lang.Object

This is the RoseToken class. Lexer uses this class to create a vector of tokens.

Version:
  1.0, 04/08/98

Field Summary
`static int` `KEY`
`static int` `LEFT_PAREN`
`protected int` `lineNum`
`static int` `LIST`
`static int` `OBJECT`
`static int` `RIGHT_PAREN`
`static int` `STRING`
`protected int` `tokenType`
`protected java.lang.String` `tokenValue`
`static int` `VALUE`
`static int` `VERTICAL_BAR`

Constructor Summary
`RoseToken(int tokenType, java.lang.String tokenValue)`

Method Summary
`java.lang.String` `getToken()`
`int` `getType()`
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT

    public static final int OBJECT

See Also:
  Constant Field Values

### LIST

    public static final int LIST

See Also:
  Constant Field Values

### LEFT_PAREN

    public static final int LEFT_PAREN

See Also:
  Constant Field Values

### RIGHT_PAREN

    public static final int RIGHT_PAREN

See Also:
  Constant Field Values

### VERTICAL_BAR

    public static final int VERTICAL_BAR

See Also:
  Constant Field Values

### KEY

    public static final int KEY

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### VALUE

    public static final int VALUE

See Also:
  Constant Field Values

### tokenType

    protected int tokenType

### tokenValue

    protected java.lang.String tokenValue

### lineNum

    protected int lineNum

Constructor Detail

### RoseToken

    public RoseToken(int tokenType,
                     java.lang.String tokenValue)

Method Detail

### getType

    public int getType()

### getValue

    public java.lang.String getValue()

### getToken

    public java.lang.String getToken()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.